Upsert Combo Meals
post
/config/sim/v2/menuItems/upsertComboMeals
Updates provided fields if the Combo Meal exists, else inserts a new Combo Meal.
Request
Supported Media Types
- application/json
- multipart/form-data
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Combo Meals Upsert Request body
Root Schema : schema
Type:
objectModel for Combo Meal Upsert Request
Show Source
-
autoComboMealAlgorithm:
integer
The Auto-Combo Algorithm. Allowed values are 0,1,2
Description Value First Deal Found 0 Best Deal for Customer 1 Best Deal for Merchant 2 Example:0 -
hierUnitId(required):
integer
Unique hierarchy unit referenceExample:
2 - menuItemMasterObjNum: integer
-
name:
object name
Name of the Combo Meal. Required field to create a new Combo Meal.
-
objectNum(required):
integer
Object number of the Combo Meal.Example:
1 -
options:
string
A string value of 0s & 1s of length 16 representing enabled or disabled optionsExample:
0000000000000000 -
pricingAlgorithm:
integer
Pricing Algorithm Values
Description Value Default NULL Most Expensive Side Group 1 Least Expensive Side Group 2 Example:1 -
priority:
integer
The combo meal priority when pressing the Auto Combo function keyExample:
1 -
sides:
array sides
An array of Sides that are associated with the combo meal
Nested Schema : name
Type:
objectName of the Combo Meal. Required field to create a new Combo Meal.
Example:
{
"1":"Enterprise",
"2":"Unternehmen",
"3":"Empresa"
}Nested Schema : sides
Type:
arrayAn array of Sides that are associated with the combo meal
Show Source
Nested Schema : ComboMeals_Sides_CUD
Type:
Show Source
object-
comboGrpObjNum:
integer
Object number of the Side Item Group that contains the side items for the combo meal.Example:
1 -
defaultMenuLevelIndex:
integer
Index of the default menu level for this combo group.Example:
1 - menuLevel: string
-
prices:
array prices
-
sideCount:
integer
Number of Combo Meal Group items required for the combo meal side.Example:
1 -
sideNum:
integer
Sequence number of the side. The field sideNum cannot be null within sides and must be in sequential order within a combo meal, starting from 0.Example:
1
Nested Schema : prices
Type:
Show Source
array-
Array of:
object ComboMeals_Prices
An array of prices associated with the combo meal
Nested Schema : ComboMeals_Prices
Type:
objectAn array of prices associated with the combo meal
Show Source
-
activeOnMenuLevel:
integer
The menu level (main or sub) on which the price is active.Example:
0 -
prepCost:
number
The a-la carte price of the combo group side items.Example:
0.89 -
price:
number
The default side item price to use for the combo group items.Example:
1.23 -
sequenceNum:
integer
The sequence number of the price. The field sequenceNum cannot be null within side prices and must be in sequential order within a side, starting from 1.Example:
1
Response
Supported Media Types
- application/json
200 Response
Combo Meal Updated.
201 Response
Combo Meal Added.